/*************************************************************************
*   File: poll .h                                    Part of SacrificeMUD *
*  Usage: Poll system                                                     *
*                                                                         *
*  All rights reserved.  See license.doc for complete information.        *
*                                                                         *
*  Copyright (C) 2001 by the Coding Team of SacrificeMUD                  *
*  SacrificeMUD is based on circleMUD, Copyright (C) 1993, 1994.          *
*  Original Author: Keny                                                  *
 **************************************************************************/


/* Main poll struct */
struct polls_data {
  int status;			/* Status of the poll, used in pedit*/
  int  number;			/* num of the poll			*/
  char *name;			/* name of the poll			*/
  char *desc;			/* Description of the poll		*/
  char *first_choice;		/* first choice of the poll		*/
  char *second_choice;		/* second choice of the poll		*/
  char *third_choice;		/* third choice of the poll		*/
  char *fourth_choice;		/* fourth choice of the poll		*/
  char *fifth_choice;		/* fifth choice of the poll		*/
  int  percents[5];		/* percent choices			*/
}; 

/* poll looking struct */
struct poll_looking {
  int mode;		/* What looking mode are we in? */
  struct descriptor_data *desc; /* Who owns this poll node? */
  int poll;
  struct polls_data *poll_editing;
};

#define MAX_POLL_LOOKS	25

/* States to look at polls */
#define POLL_LOOK_MAIN		0
#define POLL_LOOK_ONGOING 	1
#define POLL_LOOK_PAST		2

/* Look defines */
#define POLL_LOOK_MODE(num)	(poll_look[(num)].mode)
#define POLL_LOOK_DESC(num)	(poll_look[(num)].desc)
#define POLL_LOOK(num)		(poll_look[(num)].poll)

/* States to edit polls */
#define POLL_EDIT_MAIN		0
#define POLL_EDIT_NAME		1
#define POLL_EDIT_DESC		2
#define POLL_EDIT_CHOICE1	3
#define POLL_EDIT_CHOICE2	4
#define POLL_EDIT_CHOICE3	5
#define POLL_EDIT_CHOICE4	6
#define POLL_EDIT_CHOICE5	7
#define POLL_EDIT_NUM_CHOICE	8
#define POLL_EDIT_CONFIRM	9
#define POLL_EDIT_STATE		10

#define POLL_OLD		0
#define POLL_GOING	1
#define POLL_FUTURE	2

/* function protos */
void parse_poll(FILE *fl, int virtual_nr);
void parse_poll_look(struct descriptor_data *d, char *arg);
void pedit_parse(struct descriptor_data *d, char *arg);
void poll_disp_menu(struct descriptor_data *d);
void pedit_menu(struct descriptor_data *d, int pollnum);
void poll_boot(void);
